using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an elemental corpse" )]
	public class WaterElementalElder : BaseCreature
	{
		public override double DispelDifficulty{ get{ return 125.0; } }
		public override double DispelFocus{ get{ return 45.0; } }

		[Constructable]
		public WaterElementalElder () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "elder elemental of water";
			Body = 83;
			Hue = 1084;
			BaseSoundID = 278;

			SetStr( 408, 444 );
			SetDex( 83, 106 );
			SetInt( 339, 369 );

			SetHits( 245, 266 );

			SetDamage( 11, 19 );

			SetSkill( SkillName.Concentration, 87.6, 106.3 );
			SetSkill( SkillName.Magery, 87.6, 106.3 );
			SetSkill( SkillName.MagicResist, 75.1, 93.8 );
			SetSkill( SkillName.Tactics, 100.1, 112.5 );
			SetSkill( SkillName.HandToHand, 87.6, 112.5 );

			Fame = 12500;
			Karma = -12500;

			VirtualArmor = 50;

			PackItem( new BlackPearl( Utility.RandomMinMax( 20, 40 ) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Average, 2 );
			AddLoot( LootPack.HighPotions );
		}

		public override bool BleedImmune{ get{ return true; } }

		public WaterElementalElder( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}